/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: concerto@1.0.0

// imports

// Warning: Beware of circular dependencies when modifying these imports
import type {
	IBookGenre,
	IMedium,
	ICreativeWork,
	IMusicGenre
} from './org.accordproject.creativework@0.2.0';
import type {
	IMonth,
	IDay,
	ITemporalUnit,
	IDuration,
	IPeriodUnit,
	IPeriod
} from './org.accordproject.time@0.3.0';
import type {
	IPostalAddress
} from './org.accordproject.address@0.2.0';
import type {
	IDigitalMonetaryAmount,
	IDigitalCurrencyCode,
	IMonetaryAmount,
	ICurrencyCode,
	ICurrencyConversion
} from './org.accordproject.money@0.3.0';
import type {
	IGeoCoordinates,
	IPlace,
	ICountry,
	ICountryCodeISOAlpha2
} from './org.accordproject.geo@0.2.0';
import type {
	IQuantitativeValue,
	IUnitOfMass,
	IUnitOfLength,
	IUnitOfDensity,
	IUnitOfVolume,
	IUnitOfTemperature
} from './org.accordproject.value@0.2.0';
import type {
	IGender
} from './org.accordproject.person@0.2.0';

// Warning: Beware of circular dependencies when modifying these imports
import type {
	IProduct
} from './org.accordproject.product@0.2.0';

// Warning: Beware of circular dependencies when modifying these imports
import type {
	IOrganization
} from './org.accordproject.organization@0.2.0';
import type {
	IPerson
} from './org.accordproject.person@0.2.0';

// interfaces
export interface IConcept {
   $class: string;
}

export type ConceptUnion = IBookGenre | 
IMedium | 
ICreativeWork | 
IMusicGenre | 
IMonth | 
IDay | 
ITemporalUnit | 
IDuration | 
IPeriodUnit | 
IPeriod | 
IPostalAddress | 
IDigitalMonetaryAmount | 
IDigitalCurrencyCode | 
IMonetaryAmount | 
ICurrencyCode | 
ICurrencyConversion | 
IGeoCoordinates | 
IPlace | 
ICountry | 
ICountryCodeISOAlpha2 | 
IQuantitativeValue | 
IUnitOfMass | 
IUnitOfLength | 
IUnitOfDensity | 
IUnitOfVolume | 
IUnitOfTemperature | 
IGender;

export interface IAsset extends IConcept {
   $identifier: string;
}

export type AssetUnion = IProduct;

export interface IParticipant extends IConcept {
   $identifier: string;
}

export type ParticipantUnion = IOrganization | 
IPerson;

export interface ITransaction extends IConcept {
   $timestamp: Date;
}

export interface IEvent extends IConcept {
   $timestamp: Date;
}

